//*****************************************
// AVR ATtiny85 Dekatron(Z562S) Spinner Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:eep_dat.c
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2021/11/23 Modify     Taishi OG3-2 Ή
//  2021/11/26 Modify     Taishi OG4 Ή
//  2021/11/28 Modify     Taishi Z562S Ή
//*****************************************
#include	<avr/interrupt.h>
#include	<avr/eeprom.h>

#include	"tiny85_z562s_spinner.h"
#include	"eep_dat.h"

uint8_t	eep_run_mode EEMEM = RUN_STEP;			// Xebv̒l

//*****************************************
//@ddoqnl 샂[h ǂݍ
//*****************************************
void	read_eep_run_mode(void)
{
	eeprom_busy_wait();
	run_mode = eeprom_read_byte(&eep_run_mode);		// Ǐo
	if(RUN_END <= run_mode){						// 삪͈͊O̎
		run_mode = RUN_STEP;
		write_eep_run_mode();
	}
}

//*****************************************
//@ddoqnl 샂[h 
//*****************************************
void	write_eep_run_mode(void)
{
	eeprom_busy_wait();
	eeprom_write_byte(&eep_run_mode, run_mode);		// 
	eeprom_busy_wait();
}

